version: '3.7'

services:
  web:
    build: ./
    command: gunicorn IDpay.wsgi:application --bind 0.0.0.0:8000
    expose:
      - 8000
    env_file: .env
    depends_on:
      - db
    volumes:
      - static_volume:/usr/src/app/static
  db:
    image: postgres:11.5-alpine
    volumes:
      - postgres_data:/var/lib/postgresql/data/
    env_file: .env.db
    build:
      context: ./psql
      shm_size: 256mb
    shm_size: 512mb
  nginx:
    build: ./nginx
    ports:
      - 80:80
    depends_on:
      - web
volumes:
  postgres_data:
  static_volume: